Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Class CSSOMSVGViewCSS

    java.lang.Object
      org.apache.batik.css.dom.CSSOMViewCSS
          org.apache.batik.css.dom.CSSOMSVGViewCSS

All Implemented Interfaces:
  org.w3c.dom.views.AbstractView, org.w3c.dom.css.ViewCSS

public class CSSOMSVGViewCSS
extends CSSOMViewCSS

This class represents an object which provides the computed styles of the elements of a SVG document.

Field Summary

Fields inherited from class org.apache.batik.css.dom.CSSOMViewCSS
`cssEngine`

Constructor Summary
`CSSOMSVGViewCSS(CSSEngine engine)` Creates a new ViewCSS.

Method Summary
`org.w3c.dom.css.CSSStyleDeclaration` | `getComputedStyle(org.w3c.dom.Element elt, java.lang.String pseudoElt)` DOM: Implements `ViewCSS.getComputedStyle(Element,String)`.

Methods inherited from class org.apache.batik.css.dom.CSSOMViewCSS
`getDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSSOMSVGViewCSS

    public CSSOMSVGViewCSS(CSSEngine engine)

  Creates a new ViewCSS.

Method Detail

### getComputedStyle

    public org.w3c.dom.css.CSSStyleDeclaration getComputedStyle(org.w3c.dom.Element elt,
                                                                java.lang.String pseudoElt)

  DOM: Implements `ViewCSS.getComputedStyle(Element,String)`.

  Specified by:
    `getComputedStyle` in interface `org.w3c.dom.css.ViewCSS`
  Overrides:
    `getComputedStyle` in class `CSSOMViewCSS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.